Bug 1112633 - Out of date package: openSUSE:Factory/sawfish is out of date
Out of date package: openSUSE:Factory/sawfish is out of date
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Minor (vote)
: ---
Assigned To: Togan Muftuoglu
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-20 20:03 UTC by Sean Lewis
Modified: 2021-10-25 14:18 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
sawfish_build_failure.log (290.36 KB, text/x-log)
2020-08-19 11:17 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Michel Normand 2020-08-19 11:17:46 UTC
Created attachment 840802 [details]
sawfish_build_failure.log

the 1.12.90 do not build in OBS

https://build.opensuse.org/package/live_build_log/openSUSE:Factory/sawfish/standard/x86_64
Comment 2 Michel Normand 2020-08-19 12:24:08 UTC
from attached log file, I assume problem related to "multiple definition" as per extract:

===
[   48s] libtool: link: gcc -flto=auto -o sawfish colors.o cursors.o display.o events.o fonts.o frames.o flippers.o functions.o images.o keys.o main.o multihead.o pixmap-cache.o property-cache.o server.o session.o stacking-list.o windows.o -Wl,--export-dynamic  -lrep -lcrypt -lgmp -lm -lpangoxft-1.0 -lpangoft2-1.0 -lpango-1.0 -lharfbuzz -lfontconfig -lfreetype -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lX11 -lXrender -lICE -lSM -lXtst -lXinerama -lXrandr -lXft -lXext
[   48s] /usr/lib64/gcc/x86_64-suse-linux/10/../../../../x86_64-suse-linux/bin/ld: flippers.o (symbol from plugin): in function `Qleft':
[   48s] (.text+0x0): multiple definition of `Qleft'; frames.o (symbol from plugin):(.text+0x0): first defined here
[   48s] /usr/lib64/gcc/x86_64-suse-linux/10/../../../../x86_64-suse-linux/bin/ld: flippers.o (symbol from plugin): in function `Qleft':
[   48s] (.text+0x0): multiple definition of `Qright'; frames.o (symbol from plugin):(.text+0x0): first defined here
...
[   51s] collect2: error: ld returned 1 exit status
[   51s] make[1]: *** [Makefile:45: sawfish] Error 1
===
Comment 3 Andreas Stieger 2021-10-25 14:18:45 UTC
sawfish 1.12.90 was in Factory, but dropped due to not building for 6 months.
https://build.opensuse.org/request/show/851887